import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

public class L19_App2 {
	public static void main(String[] args) throws IOException {
		PrintStream output = System.out;

		/*
		 * here we compose the string that represents the particular remote
		 * object in which we are interested
		 */
		String theURL = "http://www.cse.yorku.ca/course/1710/index.html";

		/*
		 * Here we construct an object to encapsulate this particular URL
		 */
		URL url = new URL(theURL);

		/*
		 * Here we use the services of URL to determine the protocol that is
		 * associated with this particular remote object
		 */
		output.println(url.getProtocol());

		/*
		 * Here we obtain a reference to an object that encapsulates the
		 * connection to and from this remote object. The URL specifies the HTTP
		 * protocol, so that is the particular protocol used for the connection
		 */
		HttpURLConnection connection = (HttpURLConnection) url.openConnection();

		/*
		 * Here we read the remote object using the services of InputStream and
		 * Scanner. This is analogous to using System.in and Scanner.
		 */
		InputStream input = connection.getInputStream();
		Scanner scan = new Scanner(input);
		while (scan.hasNextLine()) {
			output.println(scan.nextLine());
		}
	}
}